package cz.fidentis.analyst.icp;

import cz.fidentis.analyst.mesh.core.MeshPoint;
import java.util.List;

/**
 * No undersampling. The triangular mesh keeps unchanged.
 * 
 * @author Radek Oslejsek
 */
public class NoUndersampling extends UndersamplingStrategy {
    
    @Override
    public List<MeshPoint> reduceMeshVertices(List<MeshPoint> meshPoints) {
        return meshPoints;
    }
 
    @Override
    public String toString() {
        return "no undersampling";
    }
}
